#include <iostream>

#include "CanMessage.h"
#include "int_test.h"

int main(int argc, char *argv[])
{
	std::cout << "started\n";

	ara::log::InitLogging("CAN", "CAN_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "can sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some can data...";

	GeneralWrapper* gw = new GeneralWrapper(mainLog);

	//setup_test(gw);

    CanMessage can_msg_node(argv, gw);
}
